module Types.ImgId where

import Types.Map

data ImgId
  = ImgEmpty -- TODO: Find better solution thatn empty image.
  | ImgWallAsc
  | ImgWallDesc
  | ImgWallCornerN
  | ImgWallCornerE
  | ImgWallCornerS
  | ImgWallCornerW
  | ImgWallTNE
  | ImgWallTSE
  | ImgWallTSW
  | ImgWallTNW
  | ImgWallCross
  | ImgMiscBox1
  | ImgMiscTable1
  | ImgMiscTable2
  | ImgMiscTable3
  | ImgMiscTable4
  | ImgMiscTableCorner
  -- | ImgIntrNE
  -- | ImgIntrE
  -- | ImgIntrSE
  -- | ImgIntrS
  -- | ImgIntrSW
  -- | ImgIntrW
  -- | ImgIntrNW
  -- | ImgIntrN
  deriving (Show, Eq, Ord, Enum)

isWall :: ImgId -> Bool
isWall ImgMiscBox1 = False
isWall ImgMiscTable1 = False
isWall ImgMiscTable2 = False
isWall ImgMiscTable3 = False
isWall ImgMiscTable4 = False
isWall ImgMiscTableCorner = False
isWall _ = True
